﻿--[[	PlayerZoneWorldMap.lua is part of PlayerZone AddOn (Ver: 2.1009.322b).
	This was programmed by Yulemath
	Mail me at yulemath@hotmail.fr for questions
	This programm is free, you can modify it if you want
	Have fun ;)
	
--]]

local function round(num, idp)
	local mult = 10 ^ (idp or 0);
	return math.floor(num * mult + 5) / mult;
end

-------------------------------
-- OnUpdate
function InfoZone_OnUpdate(self, elapsed)
		local OFFSET_X = 0.0022
		local OFFSET_Y = -0.0262
		local cursorX = 0
		local cursorY = 0
		local x, y = GetCursorPosition()
		-- Tweak coords so they are accurate
		local scale = WorldMapFrame:GetScale()
		x = x / scale;
		y = y / scale;
		local width = WorldMapButton:GetWidth()
		local height = WorldMapButton:GetHeight()
		local centerX, centerY = WorldMapFrame:GetCenter()
		local adjustedX = (x - (centerX - (width/2))) / width
		local adjustedY = (centerY + (height/2) - y) / height
		x = (adjustedX + OFFSET_X)
		y = (adjustedY + OFFSET_Y)
		if ( x > 1 ) then x = 1 elseif ( x < 0 ) then x = 0 end
		if ( y > 1 ) then y = 1 elseif ( y < 0 ) then y = 0 end
local zoneName, fileName, texCoordX, texCoordY, textureX, textureY, scrollChildX, scrollChildY = UpdateMapHighlight(x, y);
		InfoZone_DataBase(zoneName);
end

function infoZone_LevelCalc(maxLevelZone, minLevelZone) 

		local playerLevel = UnitLevel("player");
		local levelNull = maxLevelZone + 4;
		local levelVeryHard = minLevelZone - 4;
		local levelHard = minLevelZone;
		local levelLow = maxLevelZone;
		InfoZoneFrame_Text1:SetText(levelMapText);


		if ( text == "Capitale" ) then
			InfoZoneFrame_Text1:SetTextColor(0, 0, 1);
		elseif ( playerLevel <= levelVeryHard ) then
			InfoZoneFrame_Text1:SetTextColor(1, 0, 0);
		elseif ( playerLevel >= levelNull ) then
			InfoZoneFrame_Text1:SetTextColor(0.5, 0.5, 0.5);
		elseif ( playerLevel >= levelLow and playerLevel < levelNull ) then
			InfoZoneFrame_Text1:SetTextColor(0, 1, 0.2);
		elseif ( playerLevel > levelHard and playerLevel < levelLow ) then
			InfoZoneFrame_Text1:SetTextColor(1, 1, 0.2);
		elseif ( playerLevel > levelVeryHard and playerLevel <= levelHard ) then
			InfoZoneFrame_Text1:SetTextColor(1, 0.2, 0.2);
		end
end


function InfoZone_DataBase(zoneName)

if ( not zoneName ) then
	InfoZoneFrame_Text1:SetText("");

------------------------------------
--            KALIMDOR			  --
------------------------------------
elseif ( zoneName == "Reflet-de-Lune" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Berceau-de-l'Hiver" ) then
	levelMapText = "[ 55 - 65 ]";
	local maxLevelZone = 65;
	local minLevelZone = 55;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Sombrivage" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Gangrebois" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Orneval" ) then
	levelMapText = "[ 20 - 30 ]";
	local maxLevelZone = 30;
	local minLevelZone = 20;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Azshara" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Durotar" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Tarides" ) then
	levelMapText = "[ 10 - 25 ]";
	local maxLevelZone = 25;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Mulgore" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Désolace" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Féralas" ) then
	levelMapText = "[ 40 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 40;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Marécage d'Âprefange" ) then
	levelMapText = "[ 30 - 40 ]";
	local maxLevelZone = 40;
	local minLevelZone = 30;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Mille pointes" ) then
	levelMapText = "[ 25 - 35 ]";
	local maxLevelZone = 35;
	local minLevelZone = 25;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Tanaris" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 50;
	local minLevelZone = 40;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Silithus" ) then
	levelMapText = "[ 55 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 55;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Cratère d'Un'Goro" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Teldrassil" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Île de Brume-azur" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Île de Brume-sang" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Serres-Rocheuses" ) then
	levelMapText = "[ 15 - 25 ]";
	local maxLevelZone = 25;
	local minLevelZone = 15;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
	
----------------------------------------
--			ROYAUME DE L EST		  --
----------------------------------------

elseif ( zoneName == "Île de Quel'Danas" ) then
	levelMapText = "[ ? - ? ]";
	local maxLevelZone = 0;
	local minLevelZone = 0;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Bois des Chants éternels" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Terres fantômes" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Maleterres de l'est" ) then
	levelMapText = "[ 55 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 55;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Maleterres de l'ouest" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 50;
	local minLevelZone = 60;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Clairières de Tirisfal" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Forêt des Pins argentés" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Montagnes d'Alterac" ) then
	levelMapText = "[ 25 - 40 ]";
	local maxLevelZone = 40;
	local minLevelZone = 25;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Contreforts de Hautebrande" ) then
	levelMapText = "[ 20 - 30 ]";
	local maxLevelZone = 30;
	local minLevelZone = 20;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Hinterlands" ) then
	levelMapText = "[ 40 - 50 ]";
	local maxLevelZone = 50;
	local minLevelZone = 40;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Hautes-terres d'Arathi" ) then
	levelMapText = "[ 30 - 40 ]";
	local maxLevelZone = 40;
	local minLevelZone = 30;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Paluns") then
	levelMapText = "[ 20 - 30 ]";
	local maxLevelZone = 30;
	local minLevelZone = 20;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Loch Modan" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Dun Morogh" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Gorge des Vents brûlants" ) then
	levelMapText = "[ 42 - 50 ]";
	local maxLevelZone = 50;
	local minLevelZone = 42;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Terres ingrates" ) then
	levelMapText = "[ 35 - 45 ]";
	local maxLevelZone = 45;
	local minLevelZone = 35;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Carmines" ) then
	levelMapText = "[ 15 - 25 ]";
	local maxLevelZone = 15;
	local minLevelZone = 25;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Forêt d'Elwynn" ) then
	levelMapText = "[ 1 - 10 ]";
	local maxLevelZone = 10;
	local minLevelZone = 1;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Bois de la Pénombre" ) then
	levelMapText = "[ 20 - 30 ]";
	local maxLevelZone = 30;
	local minLevelZone = 20;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Marche de l'Ouest" ) then
	levelMapText = "[ 10 - 20 ]";
	local maxLevelZone = 20;
	local minLevelZone = 10;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Marais des Chagrins" ) then
	levelMapText = "[ 35 - 45 ]";
	local maxLevelZone = 45;
	local minLevelZone = 35;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Défilé de Deuillevent" ) then
	levelMapText = "[ ? - ? ]";
	local maxLevelZone = 0;
	local minLevelZone = 0;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Terres foudroyées" ) then
	levelMapText = "[ 45 - 55 ]";
	local maxLevelZone = 55;
	local minLevelZone = 45;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Vallée de Strangleronce" ) then
	levelMapText = "[ 30 - 45 ]";
	local maxLevelZone = 45;
	local minLevelZone = 30;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Steppes ardentes" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);

---------------------------------------------
--				  OUTRETERRE			   --
---------------------------------------------

elseif (zoneName == "Raz-de-Néant" ) then
	levelMapText = "[ 65 - 70 ]";
	local maxLevelZone = 70;
	local minLevelZone = 65;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Tranchantes" ) then
	levelMapText = "[ 65 - 70 ]";
	local maxLevelZone = 70;
	local minLevelZone = 65;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Marécage de Zangar" ) then
	levelMapText = "[ 60 - 65 ]";
	local maxLevelZone = 65;
	local minLevelZone = 60;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Nagrand" ) then
	levelMapText = "[ 65 - 70 ]";
	local maxLevelZone = 70;
	local minLevelZone = 65;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Péninsule des Flammes infernales" ) then
	levelMapText = "[ 60 - 70 ]";
	local maxLevelZone = 70;
	local minLevelZone = 60;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Forêt de Terokkar" ) then
	levelMapText = "[ 60 - 65 ]";
	local maxLevelZone = 65;
	local minLevelZone = 60;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Vallée d'Ombrelune" ) then
	levelMapText = "[ 65 - 70 ]";
	local maxLevelZone = 70;
	local minLevelZone = 65;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
	
-------------------------------------------
--				  NORFENDRE				 --
-------------------------------------------

elseif (zoneName == "Accostage de Hrothgar" ) then
	levelMapText = "[ ? - ? ]";
	local maxLevelZone = 0;
	local minLevelZone = 0;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Toundra Boréenne" ) then
	levelMapText = "[ 68 - 72 ]";
	local maxLevelZone = 72;
	local minLevelZone = 68;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Bassin de Sholazar" ) then
	levelMapText = "[ 75 - 78 ]";
	local maxLevelZone = 78;
	local minLevelZone = 75;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Joug-d'hiver" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "La Couronne de glace" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Désolation des dragons" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Forêt du Chant de cristal" ) then
	levelMapText = "[ 74 - 76 ]";
	local maxLevelZone = 76;
	local minLevelZone = 74;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les pics Foudroyés" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Zul'Drak" ) then
	levelMapText = "[ 74 - 77 ]";
	local maxLevelZone = 77;
	local minLevelZone = 74;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Les Grisonnes" ) then
	levelMapText = "[ 50 - 60 ]";
	local maxLevelZone = 60;
	local minLevelZone = 50;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
elseif (zoneName == "Fjord Hurlant" ) then
	levelMapText = "[ 68 - 72 ]";
	local maxLevelZone = 72;
	local minLevelZone = 68;
	infoZone_LevelCalc(maxLevelZone, minLevelZone);
else
	InfoZoneFrame_Text1:SetText("");
end
		
end

	
