--[[	PlayerZoneOptions.lua is part of PlayerZone AddOn (Ver: 2.1009.322b).
	This was programmed by Yulemath
	Mail me at yulemath@hotmail.fr for questions
	This programm is free, you can modify it if you want
	Have fun ;)
	
--]]
function PlayerZone_SetupSlider(self, text, myMin, myMax, step)
	getglobal(self:GetName().."Text"):SetText(text);
	getglobal(self:GetName().."Low"):SetText(myMin);
	getglobal(self:GetName().."High"):SetText(myMax);
	self:SetMinMaxValues(myMin, myMax);
	self:SetValueStep(step)
end

function PlayerZone_Options_Init()
	PlayerZone_Options_Frame_ShowBox:SetChecked(PlayerZone_Options.show);
	PlayerZone_Options_Frame_LockBox:SetChecked(PlayerZone_Options.lock);
	PlayerZone_Options_Frame_TooltipBox:SetChecked(PlayerZone_Options.tooltip);
	PlayerZone_Options_Frame_WorldMapBox:SetChecked(PlayerZone_Options.worldmap);
	PlayerZone_Options_Frame_PluginBox:SetChecked(PlayerZone_Options.plugin);
	PlayerZone_Options_Frame_LevelZoneBox:SetChecked(PlayerZone_Options.levelZone);
	PlayerZone_Options_Frame_LockLZBox:SetChecked(PlayerZone_Options.lockLZ);
	PlayerZone_Options_Frame_LMShowBox:SetChecked(PlayerZone_Options.showLM);
	PlayerZone_Options_Frame_AlphaSlider:SetValue(PlayerZone_Options.alpha);
	PlayerZone_Options_Frame_RedSlider:SetValue(PlayerZone_Options.red);
	PlayerZone_Options_Frame_GreenSlider:SetValue(PlayerZone_Options.green);
	PlayerZone_Options_Frame_BlueSlider:SetValue(PlayerZone_Options.blue);
end

function PlayerZone_Disable()
	if ( not PlayerZone_Options.disable ) then
		PlayerZone_Message(PLAYERZONE_DISABLE);
		DisableAddOn("PlayerZone");
		ReloadUI();
	end
end

function PlayerZoneDisable_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_OPTIONS_DISABLE);
		GameTooltip:Show();
	end
end

function PlayerZoneCommands_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_COMMANDS);
		GameTooltip:Show();
	end
end

function PlayerZoneMapLevel_Toggle()
	if ( InfoZoneFrame:IsShown() ) then
		InfoZoneFrame:Hide();
		PlayerZone_Options.showLM = false;
	else
		InfoZoneFrame:Show();
		PlayerZone_Options.showLM = true;
	end
end

function PlayerZoneDefault_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_DEFAULT);
		GameTooltip:Show();
	end
end

function PlayerZone_DefaultOptions()
	PlayerZone_Options.show = true;
	PlayerZone_Options.lock = false;
	PlayerZone_Options.tooltip = true;
	PlayerZone_Options.worldmap = true;
	PlayerZone_Options.levelZone = true;
	PlayerZone_Options.plugin = true;
	PlayerZone_Options.alpha = 1;
	PlayerZone_Options.red = 1;
	PlayerZone_Options.green = 1;
	PlayerZone_Options.blue = 1;
	PlayerZone_Options.disable = false;
	PlayerZone_Options.lockLZ = false;
	PlayerZone_Options.showLM = true;
end
